Bug 502754 - switch to using PolicyKit
switch to using PolicyKit
Status: NEW
Product: Fedora
Classification: Fedora
Component: pure-ftpd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 502765 729764
  Show dependency treegraph
 
Reported: 2009-05-27 00:49 EDT by Rahul Sundaram
Modified: 2018-02-13 08:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-05-27 00:49:28 EDT
Description of problem:

usermode/consolehelper is deprecated since Fedora has a better framework now
called PolicyKit. Please switch to using that instead

http://fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 Robert Scheck 2009-05-27 12:06:49 EDT
Setting up consolehelper is well documented here and elsewhere:
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Deployment_Guide/s1-access-console-enable.html

Quoting from equivalent of PolicyKit upstream is:
http://people.freedesktop.org/~david/polkit-0.91/docs/PolicyKit-1.8.html
"TODO: This manual page should contain a simple introduction to PolicyKit for a
system administrator audience. Remains to be written."


In the end, pure-ftpd doesn't need that dependency hell, PolicyKit brings in.
Pureftpd-who is a tiny command line application, where consolehelper is really
much enough. Please stay with that and avoid bloaty stuff.
Comment 2 John Poelstra 2009-06-08 16:18:45 EDT
Added 'FutureFeature' keyword to avoid rawhide base
Comment 3 Fedora Admin XMLRPC Client 2010-11-28 19:22:07 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2012-01-11 05:35:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.